gnutls_pubkey_import_rsa_raw(3)

NAME
gnutls_pubkey_import_rsa_raw - API function

SYNOPSIS
#include <gnutls/abstract.h>

int gnutls_pubkey_import_rsa_raw(gnutls_pubkey_t key, const gnutls_datum_t * m, const gnutls_datum_t * e);

ARGUMENTS

gnutls_pubkey_t key
    The key

const gnutls_datum_t * m
    holds the modulus

const gnutls_datum_t * e
    holds the public exponent

DESCRIPTION
This function will replace the parameters in the given structure. The new parameters should be stored in the appropriate gnutls_datum.

RETURNS
GNUTLS_E_SUCCESS on success, or an negative error code.

SINCE
2.12.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2016 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/